# Copyright 2023 Luminary Cloud, Inc. All Rights Reserved.
import logging as _logging
from importlib.metadata import version as _version

try:
    __version__ = _version("luminarycloud")
except:
    __version__ = "0.0.0"

# Log SDK version number
_logging.getLogger("luminarycloud").debug(f"Imported Luminary Cloud SDK v{__version__}")


from ._client import (
    Client,
    get_default_client,
    set_default_client,
)
from .mesh import (
    get_mesh,
    Mesh,
)
from .project import (
    create_project,
    get_project,
    list_projects,
    Project,
)
from .simulation import (
    get_simulation,
    Simulation,
)
from .vector3 import (
    Vector3,
)
