"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
"""
import builtins
import collections.abc
import google.protobuf.descriptor
import google.protobuf.internal.containers
import google.protobuf.message
import luminarycloud._proto.base.base_pb2
import luminarycloud._proto.fvm.param_pb2
import sys

if sys.version_info >= (3, 8):
    import typing as typing_extensions
else:
    import typing_extensions

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

class SolverContext(google.protobuf.message.Message):
    """Collection of solver params that are used for postprocessing"""

    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    REF_VALUES_FIELD_NUMBER: builtins.int
    MATERIAL_FIELD_NUMBER: builtins.int
    FLOAT_TYPE_FIELD_NUMBER: builtins.int
    MESH_SETTINGS_FIELD_NUMBER: builtins.int
    FLOW_DIRECTION_FIELD_NUMBER: builtins.int
    PARTICLE_GROUP_FIELD_NUMBER: builtins.int
    MOTION_DATA_FIELD_NUMBER: builtins.int
    FLOW_BEHAVIOR_FIELD_NUMBER: builtins.int
    FARFIELD_FIELD_NUMBER: builtins.int
    @property
    def ref_values(self) -> luminarycloud._proto.fvm.param_pb2.ReferenceValues:
        """Reference values"""
    @property
    def material(self) -> luminarycloud._proto.fvm.param_pb2.Material:
        """Material properties"""
    float_type: luminarycloud._proto.fvm.param_pb2.FloatType.ValueType
    """Float type"""
    @property
    def mesh_settings(self) -> luminarycloud._proto.fvm.param_pb2.MeshSettings:
        """Mesh settings containing e.g. body orientation"""
    @property
    def flow_direction(self) -> luminarycloud._proto.base.base_pb2.AdVector3:
        """Flow direction for non-dimensionalization purposes"""
    @property
    def particle_group(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[luminarycloud._proto.fvm.param_pb2.ParticleGroup]:
        """Defines the behavior of the particles. Used for outputs specific to a
        particle group.
        """
    @property
    def motion_data(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[luminarycloud._proto.fvm.param_pb2.MotionData]:
        """Defines motion of different coordinate frames"""
    flow_behavior: luminarycloud._proto.fvm.param_pb2.FlowBehavior.ValueType
    """Indicates whether the simulation is steady or transient"""
    @property
    def farfield(self) -> luminarycloud._proto.fvm.param_pb2.BoundaryConditions:
        """Provides a far field bc for nondimensionalization coefficients"""
    def __init__(
        self,
        *,
        ref_values: luminarycloud._proto.fvm.param_pb2.ReferenceValues | None = ...,
        material: luminarycloud._proto.fvm.param_pb2.Material | None = ...,
        float_type: luminarycloud._proto.fvm.param_pb2.FloatType.ValueType = ...,
        mesh_settings: luminarycloud._proto.fvm.param_pb2.MeshSettings | None = ...,
        flow_direction: luminarycloud._proto.base.base_pb2.AdVector3 | None = ...,
        particle_group: collections.abc.Iterable[luminarycloud._proto.fvm.param_pb2.ParticleGroup] | None = ...,
        motion_data: collections.abc.Iterable[luminarycloud._proto.fvm.param_pb2.MotionData] | None = ...,
        flow_behavior: luminarycloud._proto.fvm.param_pb2.FlowBehavior.ValueType = ...,
        farfield: luminarycloud._proto.fvm.param_pb2.BoundaryConditions | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing_extensions.Literal["farfield", b"farfield", "flow_direction", b"flow_direction", "material", b"material", "mesh_settings", b"mesh_settings", "ref_values", b"ref_values"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing_extensions.Literal["farfield", b"farfield", "float_type", b"float_type", "flow_behavior", b"flow_behavior", "flow_direction", b"flow_direction", "material", b"material", "mesh_settings", b"mesh_settings", "motion_data", b"motion_data", "particle_group", b"particle_group", "ref_values", b"ref_values"]) -> None: ...

global___SolverContext = SolverContext
